summaryrefslogtreecommitdiffstats
path: root/games/typhoon_2001/typhoon_2001.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-11 22:53:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:49 +0200
commit88a58a03bd884cb9ff23b8519861c0b3c41bee32 (patch)
tree924194f31bd5d2ba002718c36df79d824f046c24 /games/typhoon_2001/typhoon_2001.SlackBuild
parent2e06e1bc1d05c47679300ce666d2070022d812e7 (diff)
downloadslackbuilds-88a58a03bd884cb9ff23b8519861c0b3c41bee32.tar.gz
slackbuilds-88a58a03bd884cb9ff23b8519861c0b3c41bee32.tar.xz
games/typhoon_2001: Added to 12.1 repository
Diffstat (limited to 'games/typhoon_2001/typhoon_2001.SlackBuild')
-rw-r--r--games/typhoon_2001/typhoon_2001.SlackBuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/games/typhoon_2001/typhoon_2001.SlackBuild b/games/typhoon_2001/typhoon_2001.SlackBuild
new file mode 100644
index 0000000000..8f970d5fef
--- /dev/null
+++ b/games/typhoon_2001/typhoon_2001.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# SlackBuild script for Typhoon 2001
+# Written by B. Watson (yalhcru@gmail.com)
+
+# This game is binary only and works like a DOS game (it expects to
+# be run from its own directory), so for system-wide installation it
+# needs a symlink forest in the user's home directory... except the
+# typhoon.cfg needs to be a real file and be writable by the user.
+# (it will be created the first time the game is run).
+PRGNAM=typhoon_2001
+VERSION=r3992
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -fr $TMP/$PRGNAM $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+# Grr. tarball doesn't contain a top-level dir, it pollutes the
+# current dir...
+mkdir $TMP/$PRGNAM || exit 1
+cd $TMP/$PRGNAM || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+
+# Don't trust the ownership/permissions...
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+chmod 755 typhoon
+
+# OK, put everything where it goes in a proper Slack package...
+mkdir -p $PKG/usr/share/games/$PRGNAM \
+ $PKG/usr/libexec \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/install \
+ $PKG/usr/bin
+
+mv readme_linux.txt $PKG/usr/doc/$PRGNAM-$VERSION
+mv typhoon $PKG/usr/libexec
+mv * $PKG/usr/share/games/$PRGNAM
+
+cat $CWD/slack-desc >$PKG/install/slack-desc
+install -m 0755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+